Package org.opensaml.soap.wsaddressing

# Interface EndpointReferenceType

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `WSAddressingObject`, `XMLObject`

All Known Subinterfaces:
  `EndpointReference`, `FaultTo`, `From`, `Issuer`, `ReplyTo`

All Known Implementing Classes:
  `EndpointReferenceImpl`, `EndpointReferenceTypeImpl`, `FaultToImpl`, `FromImpl`, `IssuerImpl`, `ReplyToImpl`

public interface EndpointReferenceType extends AttributeExtensibleXMLObject, ElementExtensibleXMLObject, WSAddressingObject
Interface for element of type `EndpointReferenceType`.

See Also:
  - "WS-Addressing 1.0 - Core"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddress()`
Returns the <wsa:Address> child element.
`Metadata`
`getMetadata()`
Returns the optional <wsa:Metadata> child element.
`ReferenceParameters`
`getReferenceParameters()`
Returns the optional <wsa:ReferenceParameters> child element.
`void`
`setAddress(Address address)`
Sets the <wsa:Address> child element.
`void`
`setMetadata(Metadata metadata)`
Sets the <wsa:Metadata> child element.
`void`
`setReferenceParameters(ReferenceParameters referenceParameters)`
Sets the <wsa:ReferenceParameters> child element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getAddress

@Nullable Address getAddress()
Returns the <wsa:Address> child element.

Returns:
  the `Address` child element or `null`

### setAddress

void setAddress(@Nullable Address address)
Sets the <wsa:Address> child element.

Parameters:
  `address` - the `Address` child element to set.

### getMetadata

@Nullable Metadata getMetadata()
Returns the optional <wsa:Metadata> child element.

Returns:
  the `Metadata` child element or `null`.

### setMetadata

void setMetadata(@Nullable Metadata metadata)
Sets the <wsa:Metadata> child element.

Parameters:
  `metadata` - the `Metadata` child element to set.

### getReferenceParameters

@Nullable ReferenceParameters getReferenceParameters()
Returns the optional <wsa:ReferenceParameters> child element.

Returns:
  the `ReferenceParameters` child element or `null`.

### setReferenceParameters

void setReferenceParameters(@Nullable ReferenceParameters referenceParameters)
Sets the <wsa:ReferenceParameters> child element.

Parameters:
  `referenceParameters` - the `ReferenceParameters` child element to set.